--- stm32l072xx_flash.ld	2021-02-11 11:02:40.541040000 +0100
+++ stm32l072xx_flash_stack_medium.ld	2021-02-18 10:04:44.669714498 +0100
@@ -121,7 +121,7 @@
      * size of stack_dummy section */
     __StackTop = ORIGIN(RAM) + LENGTH(RAM);
     _estack = __StackTop;
-    __StackLimit = __StackTop - SIZEOF(.stack_dummy);
+    __StackLimit = __StackTop - 0x800;
     PROVIDE(__stack = __StackTop);
 
     /* Check if data + heap + stack exceeds RAM limit */
